---
title: oh-canvas-item - Canvas Item
component: oh-canvas-item
label: Canvas Item
description: Specific attributes to display widgets on a canvas.
source: https://github.com/openhab/openhab-webui/edit/main/bundles/org.openhab.ui/doc/components/oh-canvas-item.md
prev: /docs/ui/components/
---

# oh-canvas-item - Canvas Item

<!-- Put a screenshot here if relevant:
![](./images/oh-canvas-item/header.jpg)
-->

[[toc]]

<!-- Note: you can overwrite the definition-provided description and add your own intro/additional sections instead -->
<!-- DO NOT REMOVE the following comments if you intend to keep the definition-provided description -->
<!-- GENERATED componentDescription -->
Specific attributes to display widgets on a canvas.
<!-- GENERATED /componentDescription -->

## Configuration

<!-- DO NOT REMOVE the following comments -->
<!-- GENERATED props -->
### Layout Settings
<div class="props">
<PropGroup name="appearance" label="Layout Settings">
<PropBlock type="BOOLEAN" name="notStyled" label="Preserve classic style">
  <PropDescription>
    Preserve classic appearance of widgets as in standard layout pages.
  </PropDescription>
</PropBlock>
<PropBlock type="BOOLEAN" name="noCanvasShadow" label="No elements shadow">
  <PropDescription>
    Do not shadow inner elements of standard widgets
  </PropDescription>
</PropBlock>
</PropGroup>
</div>


<!-- GENERATED /props -->

<!-- If applicable describe how properties are forwarded to a underlying component from Framework7, ECharts, etc.:
### Inherited Properties

-->

<!-- If applicable describe the slots recognized by the component and what they represent:
### Slots

#### `default`

The contents of the oh-canvas-item.

-->

<!-- Add as many examples as desired - put the YAML in a details container when it becomes too long (~150/200+ lines):
## Examples

### Example 1

![](./images/oh-canvas-item/example1.jpg)

```yaml
component: oh-canvas-item
config:
  prop1: value1
  prop2: value2
```

### Example 2

![](./images/oh-canvas-item/example2.jpg)

::: details YAML
```yaml
component: oh-canvas-item
config:
  prop1: value1
  prop2: value2
slots
```
:::

-->

<!-- Try to clean up URLs to the forum (https://community.openhab.org/t/<threadID>[/<postID>] should suffice)
## Community Resources

- [Community Post 1](https://community.openhab.org/t/12345)
- [Community Post 2](https://community.openhab.org/t/23456)
-->
